on:
  push:
    branches:
      - "**"
jobs:
  go-test:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4
      - name: Setup Go
        uses: actions/setup-go@v5
        with:
          go-version: 1.22
      - name: Run unit tests
        run: make -C polyculeconnect test
      - name: Build go package
        run: make -C polyculeconnect build
